Name:		libconfig
Version:	1.4.8
Release:	2.5
Summary:	C/C++ Configuration File Library

Group:		System Environment/Libraries
License:	LGPL
URL:		http://hyperrealm.com/main.php?s=libconfig
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id} -u -n)

BuildRequires:	texinfo flex bison gcc-c++

%description
%{name} is a simple library for processing structured configuration
files. The file format is more compact and more readable than XML. And
unlike XML, it is type-aware, so it is not necessary to do string
parsing in application code. The library includes bindings for both
the C and C++ languages. It works on POSIX-compliant UNIX systems.

%package devel
Summary:	Development for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development files for %{name}.

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}
%__make html

%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=%{buildroot} install
rm -rf %{buidroot}%{_infodir}/dir
rm -rf %{buildroot}%{_datadir}/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB ChangeLog README
%{_libdir}/%{name}.so.9.1.2
%{_libdir}/%{name}++.so.9.1.2

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB ChangeLog README
%doc doc/%{name}.html
%doc test.cfg
%doc examples/c/*.c
%doc examples/c++/*.cpp
%{_libdir}/%{name}.so
%{_libdir}/%{name}++.so
%{_libdir}/%{name}.so.9
%{_libdir}/%{name}++.so.9
%{_infodir}/libconfig.info*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/%{name}.a
%{_libdir}/%{name}.la
%{_libdir}/%{name}++.a
%{_libdir}/%{name}++.la

%changelog
* Wed Aug 19 2007  Deneys S. Maartens  <dsm@tlabs.ac.za>  1.1.3-1
- create spec file

# -fin-
